Bug 50556 - LVM issues with RH7.1
Summary: LVM issues with RH7.1
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 75492
TreeView+ depends on / blocked
 
Reported: 2001-08-01 05:36 UTC by Patrick Linskey
Modified: 2014-03-17 02:22 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-09 01:17:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
LVM-Init after RAID-Init (697 bytes, patch)
2001-10-23 16:55 UTC, Leonhard Zachl
no flags Details | Diff

Description Patrick Linskey 2001-08-01 05:36:08 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
Upon creating a LVM physical volume, volume group, and two logical volumes 
and successfully mounting and using the partitions, RedHat 7.1 failed to 
mount the lvm partitions on reboot. It was possible to mount the lvm 
partitions manually.

After some digging, I found the problem: /etc/rc.d/rc.sysinit was checking 
for /proc/lvm *before* running vgscan. vgscan is responsible for 
creating /proc/lvm, so the check was always evaluating to false. I fixed 
rc.sysinit by changing the following lines near 273 (I fiddled with the 
file for a bit, so I do not have an accurate line number) as shown below:

------ Original text ------
if [ -e /proc/lvm -a -x /sbin/vgchange -a -f /etc/lvmtab ]; then
    action $"Setting up LVM:" /sbin/vgscan && /sbin/vgchange -a y
fi

------ Corrected text ------
if [ -x /sbin/vgchange -a -f /etc/lvmtab ]; then
    action $"Setting up LVM:" /sbin/vgscan && /sbin/vgchange -a y
fi



How reproducible:
Didn't try

Steps to Reproduce:
1. Create a clean RH7.1 installation
2. Patch kernel w/ latest lvm source (0.9.1_beta8 was what I used)
3. Recompile kernel, install lvm tools, etc.
4. Create a new LVM physical volume, volume group, logical volume.
5. Add an entry for the new lv to /etc/fstab, and configure the entry to 
automount at boot.
6. Reboot. Notice that the new lv is not mounted, and an error was 
reported during boot while trying to mount the lvm partition.

Actual Results:  new lv was not mounted. It was possible to manually mount.

Expected Results:  The new lv should have been mounted by the automated 
boot sequence.

Additional info:

Comment 1 Preston Brown 2001-08-13 20:12:22 UTC
LVM is _completely_ unsupported in Red Hat Linux 7.1.  However, we appreciate 
your comments on this section of the initscripts, and will be working to 
incorporate these fixes into a future release, when LVM is supported.


Comment 2 Leonhard Zachl 2001-10-23 16:55:29 UTC
Created attachment 34762 [details]
LVM-Init after RAID-Init

Comment 3 Leonhard Zachl 2001-10-23 17:03:35 UTC
think LVM should be initialized after RAID init

maybe a volume group contains a md device...

-e /proc/lvm  works if LVM is compiled into the kernel
or the module was loaded before (create an initrd with lvm included?)


Comment 4 Bill Nottingham 2002-10-18 20:03:40 UTC
The issues about LVM before/after raid are handled in current initscripts, and
LVM is on the initrd of LVM setups created in the installer.


Note You need to log in before you can comment on or make changes to this bug.